media_get.c File Reference
`#include "config.h"`
`#include <glib.h>`
`#include "quvi.h"`
`#include "_quvi_s.h"`
`#include "_quvi_media_s.h"`

## Functions

void | quvi_media_get (quvi_media_t handle, QuviMediaProperty property,...)
| Return a media property.

## Function Documentation

## quvi_media_get()

void quvi_media_get | ( | quvi_media_t | handle,
|  | QuviMediaProperty | property,
|  |  | ... )

Return a media property.

See also
  parse_media

Note
  - Accessing any of the QUVI_MEDIA_STREAM_PROPERTY_* values using this function will cause the library to advance to the first stream in the list, this will conflict with quvi_media_stream_next, causing quvi_media_stream_next to advance from the second stream, not the first stream
  - URLs will be returned in the escaped form